/*****************************************************************************************************/
/*                                           WPGetMyIP_all5m                                         */
/*                     by Peter Lueersen <Peter.Lueersen@warp-ecs-owl.de>                            */
/*                                              V 1.0.0                                              */
/*****************************************************************************************************/
/* This program is free software                                                                     */
/* you can redistribute it and/or modify it under the terms of the GNU General Public License        */
/* as published by the Free Software Foundation; either version 2 of the License,                    */
/* or (at your option) any later version.                                                            */
/*                                                                                                   */
/* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY          */
/* without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.         */
/* See the GNU General Public License for more details.                                              */
/*                                                                                                   */
/* You should have received a copy of the GNU General Public License along with this program         */  
/* if not, write to the                                                                              */
/* Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.           */  
/*****************************************************************************************************/
parse source . . ScriptFile
inst_drive = filespec("D", ScriptFile)
inst_path = filespec("P", scriptfile)
installpath=inst_drive||inst_path
crlf = "0d0a"x
Globalsver = '1.0.0'

/* init RexxUtil */
if rxfuncquery('SysLoadFuncs') then do
 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs
end

call SysCls
SAY "WPGetMyIP_all5m     Ver.: " || Globalsver || " by Peter Lueersen 2006"  
SAY "            Peter@WARP-ECS-OWL.DE"
SAY " "

GetMyIPicon=installpath||"GetMyIP.ICO"
object_id="<WP_GETMYIP>"

/* parse the string for the ARGs */ 
PARSE ARG ARG1 ARG2 ARG3 ARG4
SAY ARG1
IF (ARG1='ALL5M') then DO
 SAY 'With automatic update every 5 minutes'
END
SAY " "

DO FOREVER
 /*Get IP with GeiMyIP.EXE*/
 "@GetMyIP | RXQUEUE"
 pull objecttext
 pulltime = Time()
 SAY objecttext || ' @ ' || pulltime || ' ' || Date()   
 objecttext = objecttext || crlf || pulltime || crlf || Date()
 /* create or upgrade object */
 RC=SysCreateObject('WPProgram',objecttext,'<WP_DESKTOP>','OBJECTID='||object_id||';EXENAME='||ScriptFile||';TITLE='||ObjectText||';ICONFILE='||GetMyIPicon||';PARAMETERS=ALL5M;MINIMIZED=YES;','Update')
 IF (ARG1<>'ALL5M') then DO
  exit 
 END 
 /*Wait 300s */
 RC=SysSleep(300)
END
